## Bot di Telegram per il gruppo Social Media

Questo repository contiene il sorgente del bot di Telegram del gruppo Social
Media. Il bot permette al gruppo di inviare post ai nostri vari canali
direttamente dalla chat di Telegram, semplificando il workflow generale.

Il bot è scritto in Python 3 usando [botogram][botogram], ed è rilasciato sotto
licenza GNU AGPL v3+.

### Eseguire il bot

Per eseguire il bot, scaricare il sorgente del repository ed installare il
pacchetto Python contenuto:

```
$ git clone http://code.ubuntu-it.org/ubuntu-it-socialmedia/uitsmmbot
$ python3 -m pip install uitsmmbot/
```

Per eseguirlo, è possibile chiamare l'eseguibile `uitsmmbot` passando come
argomento il token del bot Telegram e il percorso da usare per il database
SQLite:

```
$ uitsmmbot 123456:abcdefghi path/to/database.db
```

### Configurazione del bot

Al primo avvio, il bot renderà amministratore la prima persona a contattarlo.
Per poter usare il bot in altri gruppi, è necessario che l'amministratore
digiti il comando che il bot comunicherà prima di uscire dal gruppo.

Inoltre, è necessario inserire il token di Buffer: per ottenerlo bisogna creare
una nuova applicazione dalla developer console di Buffer, e copiare il campo
"Access Token" presente nei dettagli dell'applicazione. Dopo aver fatto ciò, si
può digitare in chat:

```
/buffer_access_token abcdefghijklmno
```

Se si vuole anche pubblicare in un canale Telegram, bisogna aggiungere il bot
come amministratore del canale, e successivamente digitare in chat:

```
/link_telegram @usernamedelcanale
```

Per scollegare il canale basta il comando:

```
/unlink_telegram
```

[botogram]: https://botogram.pietroalbini.org
