# Copyright (C) 2017  Pietro Albini <pietroalbini@ubuntu.com>
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU Affero General Public License as published
# by the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; witout even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

import setuptools


setuptools.setup(

    name = "uitsmmbot",
    version = "1",

    license = "GNU-AGPL v3+",

    author = "Pietro Albini",
    author_email = "pietroalbini@ubuntu.com",

    install_requires = [
        "botogram",
        "requests",
    ],

    packages = [
        "uitsmmbot",
    ],

    entry_points = {
        "console_scripts": [
            "uitsmmbot = uitsmmbot.__main__:main",
        ],
    },

    include_package_data = True,
    zip_safe = False,

    classifiers = [
        "Not on PyPI"
    ],

)
