-- Copyright (C) 2017  Pietro Albini <pietroalbini@ubuntu.com>
--
-- This program is free software: you can redistribute it and/or modify
-- it under the terms of the GNU Affero General Public License as published
-- by the Free Software Foundation, either version 3 of the License, or
-- (at your option) any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; witout even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU Affero General Public License for more details.
--
-- You should have received a copy of the GNU Affero General Public License
-- along with this program.  If not, see <http://www.gnu.org/licenses/>.


CREATE TABLE IF NOT EXISTS auth (
    id INTEGER PRIMARY KEY
);

CREATE TABLE IF NOT EXISTS kw (
    key TEXT PRIMARY KEY,
    value TEXT NOT NULL
);

CREATE TABLE IF NOT EXISTS post_pending (
    message INTEGER,
    social TEXT NOT NULL,
    social_id TEXT NOT NULL,
    social_pretty TEXT NOT NULL,
    social_name TEXT NOT NULL,
    post_there BOOLEAN NOT NULL,
    created_at INTEGER NOT NULL,

    PRIMARY KEY (message, social)
);

CREATE TABLE IF NOT EXISTS to_telegram (
    post_id TEXT PRIMARY KEY
);
